Skip to content

MSP SSO ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getExternalUserGroupList_1GETGet msp external user group list
createExternalUserGroup_1POSTCreate new msp external user group
deleteExternalUserGroup_1DELETEDelete an existing msp external user group
modifyExternalUserGroup_1PUTModify an existing msp external user group
getExternalUserList_1GETGet msp external user list
getIdpMetadataList_1GETGet msp idp list
createIdpMetadata_1POSTCreate new msp idp
deleteIdpMetadata_1DELETEDelete an existing msp idp
modifyIdpMetadata_1PUTModify an existing msp idp

getExternalUserGroupList_1 ​

GET /openapi/v1/msp/{mspId}/sso/external-user-groups

Get msp external user group list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getExternalUserGroupList_1"
}
Details, permissions and error codes

Get msp external user group list.
The interface requires one of the permissions:
MSP Saml Roles Manager View Only

createExternalUserGroup_1 ​

POST /openapi/v1/msp/{mspId}/sso/external-user-groups

Create new msp external user group

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspExternalUserGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesMsp external user group name should contain 1 to 128 characters.
roleIdstringyesMsp role ID which can be obtained from 'Get msp role list' interface.
customerRoleIdstringyesCustomer role ID which can be obtained from 'Get customer list' interface.
allCustomerbooleanyesWhether having all customer permissions.
customersarray<string>noThe customer IDs that can be accessed. Effective when allCustomer is false.
temporaryEnablebooleannoWhether the user wants to enable the temporary worker permission
startTimeintegernoThe start time of the user's validity period. time range: start timestamp (Millisecond).
endTimeintegernoThe end time of the user's validity period. time range: end timestamp (Millisecond).
json
// omada_call_operation
{
  "operationId": "createExternalUserGroup_1",
  "body": "{...}"
}
Details, permissions and error codes

Create new msp external user group.
The interface requires one of the permissions:
MSP Saml Roles Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30102 - This role does not exist.
-30172 - The SAML User Group name already exists.
-30179 - The SAML User Group number has reached the upper limit.

deleteExternalUserGroup_1 ​

DELETE /openapi/v1/msp/{mspId}/sso/external-user-groups/{externalUserGroupId}

Delete an existing msp external user group

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
externalUserGroupIdpathstringyesExternal user group ID
json
// omada_call_operation
{
  "operationId": "deleteExternalUserGroup_1",
  "params": {
    "externalUserGroupId": "<externalUserGroupId>"
  }
}
Details, permissions and error codes

Delete an existing msp external user group.
The interface requires one of the permissions:
MSP Saml Roles Manager Modify

modifyExternalUserGroup_1 ​

PUT /openapi/v1/msp/{mspId}/sso/external-user-groups/{externalUserGroupId}

Modify an existing msp external user group

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
externalUserGroupIdpathstringyesExternal user group ID

Request body — application/json (required) — schema MspExternalUserGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesMsp external user group name should contain 1 to 128 characters.
roleIdstringyesMsp role ID which can be obtained from 'Get msp role list' interface.
customerRoleIdstringyesCustomer role ID which can be obtained from 'Get customer list' interface.
allCustomerbooleanyesWhether having all customer permissions.
customersarray<string>noThe customer IDs that can be accessed. Effective when allCustomer is false.
temporaryEnablebooleannoWhether the user wants to enable the temporary worker permission
startTimeintegernoThe start time of the user's validity period. time range: start timestamp (Millisecond).
endTimeintegernoThe end time of the user's validity period. time range: end timestamp (Millisecond).
json
// omada_call_operation
{
  "operationId": "modifyExternalUserGroup_1",
  "params": {
    "externalUserGroupId": "<externalUserGroupId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing msp external user group.
The interface requires one of the permissions:
MSP Saml Roles Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30102 - This role does not exist.
-30172 - The SAML User Group name already exists.

getExternalUserList_1 ​

GET /openapi/v1/msp/{mspId}/sso/external-users

Get msp external user list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.userNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field userName
json
// omada_call_operation
{
  "operationId": "getExternalUserList_1"
}
Details, permissions and error codes

Get msp external user list.
The interface requires one of the permissions:
MSP Saml Users Manager View Only

getIdpMetadataList_1 ​

GET /openapi/v1/msp/{mspId}/sso/saml-idps

Get msp idp list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.idpNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getIdpMetadataList_1"
}
Details, permissions and error codes

Get msp idp list.
The interface requires one of the permissions:
MSP Saml SSO Manager View Only

createIdpMetadata_1 ​

POST /openapi/v1/msp/{mspId}/sso/saml-idps

Create new msp idp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema IdpMetadataOpenApiVO

FieldTypeRequiredDescription
namestringyesIdP name should contain 1 to 32 characters.
descriptionstringnoIdP description should contain 0 to 128 characters.
entityIdstringyesThe IdP entity id which must be unique in same Omadac.
loginUrlstringyesLogin url
x509CertificatestringyesBASE64 encoded string of x509 certificate.
json
// omada_call_operation
{
  "operationId": "createIdpMetadata_1",
  "body": "{...}"
}
Details, permissions and error codes

Create new msp idp.
The interface requires one of the permissions:
MSP Saml SSO Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30170 - The SAML sso metadata entityId already exists.
-30171 - The SAML sso metadata name already exist.
-30178 - The SAML sso number has reached the upper limit.

deleteIdpMetadata_1 ​

DELETE /openapi/v1/msp/{mspId}/sso/saml-idps/{idpId}

Delete an existing msp idp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
idpIdpathstringyesIdp ID
json
// omada_call_operation
{
  "operationId": "deleteIdpMetadata_1",
  "params": {
    "idpId": "<idpId>"
  }
}
Details, permissions and error codes

Delete an existing msp idp.
The interface requires one of the permissions:
MSP Saml SSO Manager Modify

modifyIdpMetadata_1 ​

PUT /openapi/v1/msp/{mspId}/sso/saml-idps/{idpId}

Modify an existing msp idp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
idpIdpathstringyesIdp ID

Request body — application/json (required) — schema IdpMetadataOpenApiVO

FieldTypeRequiredDescription
namestringyesIdP name should contain 1 to 32 characters.
descriptionstringnoIdP description should contain 0 to 128 characters.
entityIdstringyesThe IdP entity id which must be unique in same Omadac.
loginUrlstringyesLogin url
x509CertificatestringyesBASE64 encoded string of x509 certificate.
json
// omada_call_operation
{
  "operationId": "modifyIdpMetadata_1",
  "params": {
    "idpId": "<idpId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing msp idp.
The interface requires one of the permissions:
MSP Saml SSO Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30170 - The SAML sso metadata entityId already exists.
-30171 - The SAML sso metadata name already exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.